SUSE SLES15 Security Update : ovmf (SUSE-SU-2021:2161-1)

medium Nessus Plugin ID 151091
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The remote SUSE Linux SLES15 host has packages installed that are affected by multiple vulnerabilities as referenced in the SUSE-SU-2021:2161-1 advisory.

- An unlimited recursion in DxeCore in EDK II. (CVE-2021-28210)

- A heap overflow in LzmaUefiDecompressGetInfo function in EDK II. (CVE-2021-28211)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected ovmf, ovmf-tools, qemu-ovmf-x86_64 and / or qemu-uefi-aarch64 packages.

See Also

https://bugzilla.suse.com/1183578

https://bugzilla.suse.com/1183579

https://bugzilla.suse.com/1186151

http://www.nessus.org/u?79f07653

https://www.suse.com/security/cve/CVE-2021-28210

https://www.suse.com/security/cve/CVE-2021-28211

Plugin Details

Severity: Medium

ID: 151091

File Name: suse_SU-2021-2161-1.nasl

Version: 1.3

Type: local

Agent: unix

Published: 6/28/2021

Updated: 8/9/2021

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2021-28211

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.4

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 6.7

Temporal Score: 5.8

Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:ovmf, p-cpe:/a:novell:suse_linux:ovmf-tools, p-cpe:/a:novell:suse_linux:qemu-ovmf-x86_64, p-cpe:/a:novell:suse_linux:qemu-uefi-aarch64, cpe:/o:novell:suse_linux:15

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 6/25/2021

Vulnerability Publication Date: 6/11/2021

Reference Information

CVE: CVE-2021-28210, CVE-2021-28211

SuSE: SUSE-SU-2021:2161-1